/*
 * Class LINKED_LIST [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_392 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_392 [] = {0xFF01,237,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_392 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_392 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_392 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_392 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_392 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_392 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_392 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_392 [] = {391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_392 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_392 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_392 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_23_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_26_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_392 [] = {0xFF02,393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_392 [] = {0xFF01,393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_392 [] = {393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_392 [] = {393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_392 [] = {393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_392 [] = {393,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_392 [] = {0xFF01,392,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_392 [] = {0xFF01,390,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_392 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_392 [] = {0xFF01,391,191,0xFFFF};
static const EIF_TYPE_INDEX egt_37_392 [] = {206,0xFFFF};


static const struct desc_info desc_392[] = {
	{EIF_GENERIC(NULL), 4796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_392), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_392), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_392), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4787, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_392), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_392), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_392), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_392), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_392), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_392), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_392), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_392), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_392), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_392), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_392), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_392), 2310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_392), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_392), 4752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4780, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4265, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4268, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_392), 2303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4761, 10},
	{EIF_GENERIC(NULL), 4770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4771, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_392), 4266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_392), 4269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4274, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_392), 4266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_392), 4267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4274, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4256, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_392), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_392), 4753, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_392), 4754, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4773, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4255, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_392), 4564, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4559, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4768, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4777, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4561, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4562, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4786, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_392), 4752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4763, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4769, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4762, 9},
	{EIF_GENERIC(NULL), 4772, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4257, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4751, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_392), 4758, 0},
	{EIF_GENERIC(egt_28_392), 4789, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_392), 4790, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_392), 4791, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_392), 4792, 4},
	{EIF_GENERIC(egt_32_392), 4793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4762, 9},
	{EIF_NON_GENERIC(0x017F /*191*/), 4761, 10},
	{EIF_NON_GENERIC(0x019D /*206*/), 4759, 12},
	{EIF_GENERIC(egt_33_392), 4756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4766, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4775, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_392), 4757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_392), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4759, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 4767, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4776, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4778, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4779, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4782, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4784, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_392), 4788, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_392), -1, 0xFFFFFFFF},
};
void Init392(void)
{
	IDSC(desc_392, 0, 391);
	IDSC(desc_392 + 1, 1, 391);
	IDSC(desc_392 + 32, 77, 391);
	IDSC(desc_392 + 41, 243, 391);
	IDSC(desc_392 + 47, 155, 391);
	IDSC(desc_392 + 56, 256, 391);
	IDSC(desc_392 + 59, 187, 391);
	IDSC(desc_392 + 65, 329, 391);
	IDSC(desc_392 + 79, 282, 391);
	IDSC(desc_392 + 88, 30, 391);
	IDSC(desc_392 + 95, 294, 391);
	IDSC(desc_392 + 98, 237, 391);
	IDSC(desc_392 + 100, 229, 391);
	IDSC(desc_392 + 101, 55, 391);
	IDSC(desc_392 + 102, 42, 391);
	IDSC(desc_392 + 114, 184, 391);
	IDSC(desc_392 + 117, 99, 391);
	IDSC(desc_392 + 119, 50, 391);
	IDSC(desc_392 + 120, 35, 391);
	IDSC(desc_392 + 121, 96, 391);
	IDSC(desc_392 + 129, 172, 391);
}


#ifdef __cplusplus
}
#endif
